Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.model.content
Class ContentType

    java.lang.Object
      org.jboss.portal.core.model.content.ContentType

All Implemented Interfaces:
  java.io.Serializable

    public final class ContentType

extends java.lang.Object
implements java.io.Serializable

Type safe string for notion of content type.

Version:
  $Revision: 8786 $
Author:
  Julien Viet
See Also:
  Serialized Form

Field Summary
`static ContentType` | `CMS` .
`static ContentType` | `PORTLET` .
`static ContentType` | `UNKNOWN` .

Method Summary
`static ContentType` | `create(java.lang.String value)` Factory method to create objects.
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final ContentType UNKNOWN

  .

### CMS

    public static final ContentType CMS

  .

### PORTLET

    public static final ContentType PORTLET

  .

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### create

    public static ContentType create(java.lang.String value)
                              throws java.lang.IllegalArgumentException

  Factory method to create objects.

  Parameters:
    `value` - the wrapped value
  Returns:
    the corresponding content type
  Throws:
    `java.lang.IllegalArgumentException` - if the string argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD